# VariableLangevinIntegrator Class Reference

This is an error contolled, variable time step Integrator that simulates a System using Langevin dynamics. More...

Inheritance diagram for VariableLangevinIntegrator:

List of all members.

## Public Member Functions
def | getTemperature
| getTemperature(VariableLangevinIntegrator self) -> double
def | setTemperature
| setTemperature(VariableLangevinIntegrator self, double temp)
def | getFriction
| getFriction(VariableLangevinIntegrator self) -> double
def | setFriction
| setFriction(VariableLangevinIntegrator self, double coeff)
def | getErrorTolerance
| getErrorTolerance(VariableLangevinIntegrator self) -> double
def | setErrorTolerance
| setErrorTolerance(VariableLangevinIntegrator self, double tol)
def | getRandomNumberSeed
| getRandomNumberSeed(VariableLangevinIntegrator self) -> int
def | setRandomNumberSeed
| setRandomNumberSeed(VariableLangevinIntegrator self, int seed)
def | step
| step(VariableLangevinIntegrator self, int steps)
def | stepTo
| stepTo(VariableLangevinIntegrator self, double time)
def | __init__
| __init__(OpenMM.VariableLangevinIntegrator self, double temperature, double frictionCoeff, double errorTol) -> VariableLangevinIntegrator __init__(OpenMM.VariableLangevinIntegrator self, VariableLangevinIntegrator other) -> VariableLangevinIntegrator
def | __del__
| __del__(OpenMM.VariableLangevinIntegrator self)
## Public Attributes
| this

## Detailed Description

This is an error contolled, variable time step Integrator that simulates a System using Langevin dynamics.

It compares the result of the Langevin integrator to that of an explicit Euler integrator, takes the difference between the two as a measure of the integration error in each time step, and continuously adjusts the step size to keep the error below a specified tolerance. This both improves the stability of the integrator and allows it to take larger steps on average, while still maintaining comparable accuracy to a fixed step size integrator.

It is best not to think of the error tolerance as having any absolute meaning. It is just an adjustable parameter that affects the step size and integration accuracy. You should try different values to find the largest one that produces a trajectory sufficiently accurate for your purposes. 0.001 is often a good starting point.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.VariableLangevinIntegrator self)

Reimplemented from Integrator.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.VariableLangevinIntegrator self, double temperature, double frictionCoeff, double errorTol) -> VariableLangevinIntegrator __init__(OpenMM.VariableLangevinIntegrator self, VariableLangevinIntegrator other) -> VariableLangevinIntegrator

Create a VariableLangevinIntegrator.

Parameters:

  | temperature | the temperature of the heat bath (in Kelvin)
  | frictionCoeff | the friction coefficient which couples the system to the heat bath (in inverse picoseconds)
  | errorTol | the error tolerance

def getErrorTolerance | ( |  | self | ) |

getErrorTolerance(VariableLangevinIntegrator self) -> double

Get the error tolerance.

def getFriction | ( |  | self | ) |

getFriction(VariableLangevinIntegrator self) -> double

Get the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

def getRandomNumberSeed | ( |  | self | ) |

getRandomNumberSeed(VariableLangevinIntegrator self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

def getTemperature | ( |  | self | ) |

getTemperature(VariableLangevinIntegrator self) -> double

Get the temperature of the heat bath (in Kelvin).

def setErrorTolerance | ( |  | self,
|  |  | args |
| ) |  |  |

setErrorTolerance(VariableLangevinIntegrator self, double tol)

Set the error tolerance.

def setFriction | ( |  | self,
|  |  | args |
| ) |  |  |

setFriction(VariableLangevinIntegrator self, double coeff)

Set the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

Parameters:

  | coeff | the friction coefficient, measured in 1/ps

def setRandomNumberSeed | ( |  | self,
|  |  | args |
| ) |  |  |

setRandomNumberSeed(VariableLangevinIntegrator self, int seed)

Set the random number seed. The precise meaning of this parameter is undefined, and is left up to each Platform to interpret in an appropriate way. It is guaranteed that if two simulations are run with different random number seeds, the sequence of random forces will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

def setTemperature | ( |  | self,
|  |  | args |
| ) |  |  |

setTemperature(VariableLangevinIntegrator self, double temp)

Set the temperature of the heat bath (in Kelvin).

Parameters:

  | temp | the temperature of the heat bath, measured in Kelvin

def step | ( |  | self,
|  |  | args |
| ) |  |  |

step(VariableLangevinIntegrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters:

  | steps | the number of time steps to take

Reimplemented from Integrator.

def stepTo | ( |  | self,
|  |  | args |
| ) |  |  |

stepTo(VariableLangevinIntegrator self, double time)

Advance a simulation through time by taking a series of steps until a specified time is reached. When this method returns, the simulation time will exactly equal the time which was specified. If you call this method and specify a time that is earlier than the current time, it will return without doing anything.

Parameters:

  | time | the time to which the simulation should be advanced

## Member Data Documentation

this

Reimplemented from Integrator.

The documentation for this class was generated from the following file:

- openmm.py